#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	fping
Version		:	5.1
Release		:	17.0.10.rel%{?dist}
Summary		:	Scriptable, parallelized ping-like utility

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	https://github.com/schweikert/fping/releases/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	glibc
BuildRequires	:	make

#-----------------------------------------------------------------------------
%description
'%{name}' is a program to send ICMP echo probes
to network hosts, similar to ping, but much better
performing when pinging multiple hosts. fping has
a very long history: Roland Schemers did publish
a first version of it in 1992 and it has established
itself since then as a standard tool for network
diagnostics and statistics.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc CHANGELOG.md
%license COPYING
%attr(0755,root,root) %caps(cap_net_raw=ep) %{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8.gz


#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--libexecdir=%{_libexecdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--localstatedir=%{_var}				\
	--enable-ipv4					\
	--enable-ipv6					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#-----------------------------------------------------------------------------
%changelog

